
#read in new Forcing file

smet1<-"/local/bender/PaperNeu/PlotWFJ/joel_sim/old/WFJ2_Ref2_forcing.smet" # results generated from optimal SMET
imisID <- unlist(strsplit(unlist(strsplit(smet1,'/'))[length(unlist(strsplit(smet1,"/")))], '.smet'))

print(paste0("Now parsing ", smet1))
header = readLines(smet1, n=200)
fieldsLine = grep(pattern = "fields", x = header)
fields = unlist(strsplit(unlist(strsplit(header[fieldsLine], "= "))[2], " ")) # space after equals vey important or else a empty " " element is added to 'fields' 
skip =which(header=="[DATA]")
For_new =read.csv(smet1, skip=skip, header=F, sep='')
names(For_new)<-fields
For_new$timestamp = gsub("T", " ", For_new$timestamp)
For_new$timestamp<- strptime(For_new$timestamp, format="%Y-%m-%d %H:%M:%S") #convert time


smet2<-"/local/bender/PaperNeu/R/WFJ2_Ref_forcing.smet" # results generated from optimal SMET
imisID <- unlist(strsplit(unlist(strsplit(smet2,'/'))[length(unlist(strsplit(smet1,"/")))], '.smet'))

print(paste0("Now parsing ", smet2))
header = readLines(smet2, n=200)
fieldsLine = grep(pattern = "fields", x = header)
fields = unlist(strsplit(unlist(strsplit(header[fieldsLine], "= "))[2], " ")) # space after equals vey important or else a empty " " element is added to 'fields' 
skip =which(header=="[DATA]")
For_old =read.csv(smet2, skip=skip, header=F, sep='')
names(For_old)<-fields
For_old$timestamp = gsub("T", " ", For_old$timestamp)
For_old$timestamp<- strptime(For_old$timestamp, format="%Y-%m-%d %H:%M:%S") #convert time

startDate=  For_new$timestamp[1]
endDate= For_old$timestamp[length(For_old$timestamp)]

start = which(For_old$timestamp==startDate)
end = which(For_old$timestamp==endDate)
For_old = For_old[start:end,]

start = which(For_new$timestamp==startDate)
end = which(For_new$timestamp==endDate)
For_new = For_new[start:end,]



plot(For_new$timestamp, For_new$HS, type="l")
lines(For_old$timestamp, For_old$HS, col=2)


plot(For_new$timestamp, For_new$OSWR , type="l")
lines(For_old$timestamp, For_old$OSWR, col=2)

plot(For_new$timestamp, For_new$ISWR , type="l")
lines(For_old$timestamp, For_old$ISWR, col=2)

plot(For_new$timestamp, For_new$ILWR , type="l")
lines(For_old$timestamp, For_old$ILWR, col=2)
lines(F_all$timestamp, F_all$ILWR, col=4)

F_melt<- subset(For_old,  is.element(timestamp$mon, c(2:4)))$ILWR<- 
F_melt_n<- subset(For_new,  is.element(timestamp$mon, c(2:4)))
F_melt$ILWR<- F_melt_n$ILWR
F_all<-  subset(For_old,  is.element(timestamp$mon, c(0:1, 5:11))) 


F_all<- rbind(F_all, F_melt)

F_all<-  F_all[ order(F_all$timestamp), ]


F_all$timestamp<- as.character(F_all$timestamp)
F_all$timestamp<-gsub(" ","T", F_all$timestamp)


write.table(F_all[,1:8], file="WFJ_test.smet", na="NA", row.names = FALSE, quote=FALSE, col.names = FALSE)  
