##############################################
#######3 read in data ####################
###########################################

WFJ<- read.table("/local/bender/PaperNeu/PlotWFJ/WFJ_GT.dat", sep=",")
WFJ$date<- strptime(WFJ$date, format="%Y-%m-%d %H:%M:%S") #convert time
names(WFJ)[7:10]<- c("50mod", "30mod", "10mod","5mod")

uniq = which(duplicated(WFJ$date)==FALSE)
WFJ=WFJ[uniq,]

startDate= gsub(" CEST", "", WFJ$date[1])
endDate= gsub(" CEST", "",  WFJ$date[length(WFJ$date)])


smwt1<- 
  
  smet1<-"/local/bender/PaperNeu/PlotWFJ/joel_sim/old/WFJ2_Ref2.smet" # results generated from optimal SMET
imisID <- unlist(strsplit(unlist(strsplit(smet1,'/'))[length(unlist(strsplit(smet1,"/")))], '.smet'))

print(paste0("Now parsing ", smet1))
header = readLines(smet1, n=200)
fieldsLine = grep(pattern = "fields", x = header)
fields = unlist(strsplit(unlist(strsplit(header[fieldsLine], "= "))[2], " ")) # space after equals vey important or else a empty " " element is added to 'fields' 
skip =which(header=="[DATA]")
s1 =read.csv(smet1, skip=skip, header=F, sep='')
names(s1)<-fields
s1$timestamp = gsub("T", " ", s1$timestamp)

# cut
start = which(For_old$timestamp==startDate)
end = which(For_old$timestamp==endDate)

s1 = s1[start:end,]


#assign new simulated variuables
#WFJ$date<-s1$timestamp
WFJ_new_HS<- WFJ[,c("date","HS", "HSmod")]
WFJ_new_HS$HSmod<-s1$HS_mod
WFJ_new_HS$HS<-s1$HS_meas

# parse the pro
WFJ_mod<- read.table("/local/bender/PaperNeu/PlotWFJ/joel_sim/old/WFJ2_GTMOD.csv", skip=2, header=FALSE, fill=TRUE)
WFJ_mod<- WFJ_mod[,c(1:51)]
WFJ_mod<-subset(WFJ_mod,complete.cases(WFJ_mod)==TRUE)
names(WFJ_mod)[1]<- "date"
WFJ_mod$date<- strptime(WFJ_mod$date, format = "%Y-%m-%dT%H:%M")
WFJ_mod<-  subset(WFJ_mod, is.na(WFJ_mod$date)==FALSE)
WFJ_mod<- WFJ_mod[,c(1,29,37,45, 47,51)]
names(WFJ_mod)<- c("date", "50mod","30mod", "10mod","5mod", "GSTmod")
start2 = which(WFJ_mod$date==startDate)
end2 = which(WFJ_mod$date==endDate)
WFJ_mod = WFJ_mod[start2:end2,]


plot(WFJ$date, WFJ$HS, type="l")
lines(WFJ_new_HS$date, WFJ_new_HS$HS/100, col=2)
lines(WFJ_new_HS$date, WFJ_new_HS$HSmod/100, col=4)
lines(WFJ$date, WFJ$HSmod/100, col=3)


max(WFJ$HSmod)

which(WFJ$HSmod==211.26)


# geerate running means
WFJ_RM<- WFJ[,]

# these are measurments and can be taken from original datset
WFJ_RM[,2]<- runmean(WFJ$G_0.1,30, endrule = "NA")
WFJ_RM[,3]<- runmean(WFJ$G_0.3,30, endrule = "NA")
WFJ_RM[,4]<- runmean(WFJ$G_0.5,30, endrule = "NA")
WFJ_RM[,5]<- runmean(WFJ$GST,30, endrule = "NA")
WFJ_RM[,6]<- runmean(WFJ$HS,30, endrule = "NA")
WFJ_RM[,7]<- runmean(WFJ$`50mod` ,30, endrule = "NA")
WFJ_RM[,8]<- runmean(WFJ$`30mod` ,30, endrule = "NA")
WFJ_RM[,9]<- runmean(WFJ$`10mod` ,30, endrule = "NA")
WFJ_RM[,10]<- runmean(WFJ$`5mod` ,30, endrule = "NA")
WFJ_RM[,11]<- runmean(WFJ$GSTmod ,30, endrule = "NA")
WFJ_RM[,12]<- runmean(WFJ$HSmod ,30, endrule = "NA")



# tese are resimylated and taken from new data in Joel_sim
WFJ_RM_new<- WFJ_mod
WFJ_RM_new$`50mod` <- runmean(WFJ_mod$`50mod` ,30, endrule = "NA")
WFJ_RM_new$`30mod` <- runmean(WFJ_mod$`30mod` ,30, endrule = "NA")
WFJ_RM_new$`10mod` <- runmean(WFJ_mod$`10mod`,30, endrule = "NA")
WFJ_RM_new$`5mod` <- runmean(WFJ_mod$`5mod`,30, endrule = "NA")
WFJ_RM_new$GSTmod<- runmean(WFJ_mod$GSTmod ,30, endrule = "NA")
WFJ_RM_new$HSmod<- runmean(WFJ_new_HS$HSmod ,30, endrule = "NA")

